Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ProducerInfoReader

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacketReader
          org.codehaus.activemq.message.ProducerInfoReader

All Implemented Interfaces:
  PacketReader

public class ProducerInfoReader
extends AbstractPacketReader

Reads a ProducerInfo object from a Stream

Constructor Summary
`ProducerInfoReader()`

Method Summary
`void` | `buildPacket(Packet packet, java.io.DataInput dataIn)` build a Packet instance from the data input stream
`Packet` | `createPacket()`
`int` | `getPacketType()` Return the type of Packet

Methods inherited from class org.codehaus.activemq.message.AbstractPacketReader
`canRead, readObject, readPacketFromByteArray, readUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerInfoReader

    public ProducerInfoReader()

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### createPacket

    public Packet createPacket()

  Returns:
    a new Packet instance

### buildPacket

    public void buildPacket(Packet packet,
                            java.io.DataInput dataIn)
                     throws java.io.IOException

  build a Packet instance from the data input stream

  Specified by:
    `buildPacket` in interface `PacketReader`
  Overrides:
    `buildPacket` in class `AbstractPacketReader`
  Parameters:
    `packet` - A Packet object
    `dataIn` - the data input stream to build the packet from
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.